i used apt-get to get ruby 1.8.* but ive heard 1.9 has a lot of upgrades, and when i apt-geted it, and typed ruby -v it still says i have 1.8

my question is how would i upgrade my ruby to 1.9 even though its not final? (therefore one or two extra steps?) thanks